###################################################
### chunk number 1: 
###################################################
options(width=70)
options(continue=" ")


###################################################
### chunk number 2: 
###################################################
library(unmarked)
wt <- read.csv(system.file("csv","widewt.csv", package="unmarked"))
head(wt)
y <- wt[,2:4]
siteCovs <-  wt[,c("elev", "forest", "length")]
obsCovs <- reshape(wt[,c("date.1", "date.2", "date.3",  "ivel.1",  "ivel.2", "ivel.3")], varying=1:6, direction="long")
obsCovs <- obsCovs[order(obsCovs$id, obsCovs$time),c(2:3)]
wt <- unmarkedFrameOccu(y = y, siteCovs = siteCovs, obsCovs = obsCovs)
summary(wt)


###################################################
### chunk number 3: 
###################################################
wt <- csvToUMF(system.file("csv","widewt.csv", package="unmarked"), long = FALSE, type = "unmarkedFrameOccu")


###################################################
### chunk number 4: 
###################################################
pcru <- csvToUMF(system.file("csv","frog2001pcru.csv", package="unmarked"), long = TRUE, type = "unmarkedFrameOccu")
summary(pcru)


###################################################
### chunk number 5: 
###################################################
	obsCovs(pcru) <- scale(obsCovs(pcru))


###################################################
### chunk number 6: 
###################################################
	fm1 <- occu(~1 ~1, pcru)
	fm2 <- occu(~ MinAfterSunset + Temperature ~ 1, pcru)
	summary(fm1)
	summary(fm2)
	plot(fm2)


###################################################
### chunk number 7: 
###################################################
backTransform(fm2, 'state')


###################################################
### chunk number 8: 
###################################################
backTransform(linearComb(fm2, coefficients = c(1,0,0), type = 'det'))


###################################################
### chunk number 9: 
###################################################
newData <- data.frame(MinAfterSunset = 0, Temperature = -2:2)
predict(fm2, type = 'det', newdata = newData, appendData = TRUE)


###################################################
### chunk number 10: 
###################################################
confint(fm2, type='det')
confint(fm2, type='det', method = "profile")


###################################################
### chunk number 11: 
###################################################
fms <- fitList(Null = fm1, TimeTemp = fm2)
modSel(fms, nullmod="Null")
predict(fms, type='det', newdata = newData, appendData = TRUE)


###################################################
### chunk number 12: 
###################################################
	pcru.pb <- parboot(fm2, statistic=SSE, nsim=50, report=5)
	plot(pcru.pb, main="")


